Subject: Re: [PATCH v3] MAINTAINERS: Add new maintainers to Redpine driver

From: Jérôme Pouiller <[email-masked]>
Date: Fri, 09 Jun 2023 17:10:27 +0200

Hi Marek,

On Monday 5 June 2023 11:59:41 CEST Marek Vasut wrote:
> On 6/1/23 12:47, Jérôme Pouiller wrote:
> > On Saturday 27 May 2023 23:12:16 CEST Marek Vasut wrote:
> >> On 2/27/23 11:28, Kalle Valo wrote:
> >>> Ganapathi Kondraju <[email-masked]> writes:
[...]
> >> Has there been any progress on improving this driver maintainership
> >> since this patch ?
> >
> > Hello Marek,
> >
> > The situation is still blurry. There is a willing to maintain this driver
> > (and several people would like I take care of that). However, the effort
> > to properly support this driver is still unknown (in fact, I have not yet
> > started to really look at the situation).
> 
> I have to admit, the aforementioned paragraph is quite disturbing,
> considering that this patch adds 6 maintainers, is already in V3, and so
> far it is not even clear to silabs how much effort it would be to
> maintain driver for their own hardware, worse, silabs didn't even check.
> What is the point of adding those maintainers then ?

I think Ganapathi just wanted to give a list of people to keep in Cc in
case there were some discussions about this driver. The status change was
probably not what he wanted to do.

> > Is this driver blocking some architectural changes? Kalle is talking about
> > patches to review. Can you point me on them?
> 
> You can look up patches at patchwork.kernel.org or lore.kernel.org and
> search for "rsi:" or "wifi: rsi:" tags.
> 
> This driver is basically unusable and I am tempted to send a patch to
> move it to staging and possibly remove it altogether.
> 
> WiFi/BT coex is broken, WiFi stability is flaky at best, BT often
> crashes the firmware. There are very iffy design decisions in the driver
> and other weird defects I keep finding.
> 
> Multiple people tried to fix at least a couple of basic problems, so the
> driver can be used at all, but there is no documentation and getting
> support regarding anything from RSI is a total waste of time. Sadly, the
> only reference material I could find and work with is some downstream
> goo, which is released in enormous single-commit code dumps with +/-
> thousands of lines of changes and with zero explanation what each change
> means.

You are talking about this driver[1] I assume?

[1]: https://github.com/SiliconLabs/RS911X-nLink-OSD

[...]
> In the meantime, since RSI neglected this driver for years, what would
> be the suggestion for people who are stuck with the RSI WiFi hardware?

Unfortunately, my only suggestion is to use the downstream driver we
mentioned above.

-- 
Jérôme Pouiller